unit Unit1;

interface

uses
  Windows, Classes, Controls, Forms, Dialogs,
  StdCtrls, Buttons, HTMLCompressor, Gauges;

type
  TForm1 = class(TForm)
    GroupBox1: TGroupBox;
    GroupBox2: TGroupBox;
    Label1: TLabel;
    Label2: TLabel;
    Edit1: TEdit;
    SpeedButton1: TSpeedButton;
    Edit2: TEdit;
    CompressBtn: TBitBtn;
    OpenHTMLDialog: TOpenDialog;
    HTMLCompressor: THTMLCompressor;
    Gauge: TGauge;
    procedure SpeedButton1Click(Sender: TObject);
    procedure CompressBtnClick(Sender: TObject);
    procedure HTMLCompressorProgress(Sender: TObject; Percents: Byte);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.SpeedButton1Click(Sender: TObject);
begin
  if OpenHTMLDialog.Execute then
   Edit1.Text := OpenHTMLDialog.FileName;
end;

procedure TForm1.CompressBtnClick(Sender: TObject);
begin
  if HTMLCompressor.LoadFromFile(Edit1.Text) then
   begin
    SpeedButton1.Enabled := False;
    Edit1.Enabled := False;
    Edit2.Enabled := False;
    CompressBtn.Enabled := False;
    Gauge.Visible := True;
    Height := 187;

// ---------------------------
    HTMLCompressor.Compress;
    HTMLCompressor.SaveToFile(Edit2.Text);
// ---------------------------

    Gauge.Visible := False;
    Height := 168;
    SpeedButton1.Enabled := True;
    Edit1.Enabled := True;
    Edit2.Enabled := True;
    CompressBtn.Enabled := True;

    Application.MessageBox('Done', 'HTMLCompressor', mb_Ok or mb_IconInformation);
   end;
end;

procedure TForm1.HTMLCompressorProgress(Sender: TObject; Percents: Byte);
begin
  Gauge.Progress := Percents;
end;

end.
